void printl(long val);

int main()
{
  long a[] = { 1, 2, 3, 4, -1, -2, 0 };
  long *p = a;

  while (*p) {
    printl(*p);
    p++;
  }

  while (*p != 1) {
    printl(*p);
    p--;
  }

  return 0;
}
